Name:           python-mercurial
Version:        7.0.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Fast scalable distributed SCM (revision control, version control) system

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://mercurial-scm.org/
Source:         %{pypi_source mercurial}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'mercurial' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-mercurial
Summary:        %{summary}

%description -n python3-mercurial %_description


%prep
%autosetup -p1 -n mercurial-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-mercurial -f %{pyproject_files}


%changelog
%autochangelog